Bug 25664 - FieldInfo.GetValue causes segmentation fault when field is of pointer type
Summary: FieldInfo.GetValue causes segmentation fault when field is of pointer type
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Reflection (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-12-31 10:46 UTC by Konrad Kruczyński
Modified: 2015-01-02 18:36 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Program that shows the problematic behaviour (281 bytes, application/octet-stream)
2014-12-31 10:46 UTC, Konrad Kruczyński
Details

Description Konrad Kruczyński 2014-12-31 10:46:13 UTC
Created attachment 9216 [details]
Program that shows the problematic behaviour

Please compile and run attached program (unsafe code is necessary). It causes a segmentation fault which is not expected (same code on .NET runs fine).
Comment 1 Zoltan Varga 2015-01-02 18:36:23 UTC
Fixed in master 46b15a2a6b800506ab5d52693f3c68ff82aeb354.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 25664 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: